%if %{mgaversion} < 3
%define _tmpfilesdir /usr/lib/tmpfiles.d
%define _tmpfilescreate() /bin/systemd-tmpfiles --create \
%{nil}
%define systemd_required_version 44
%endif

Summary:	Userspace logging daemon for netfilter
Name:		ulogd
Version:	2.0.5
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Servers
URL:		http://www.netfilter.org/projects/%{name}/
Source0:	http://ftp.netfilter.org/pub/%{name}/%{name}-%{version}.tar.bz2
Source1:	ulogd.service
Source2:	ulogd.logrotate
Source3:	ulogd.sysconfig
Source4:	ulogd.tmpfiles.d
Patch0:		ulogd-2.0.4-mga_conf.diff
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libdbi-devel
BuildRequires:	libpcap-devel
BuildRequires:	mnl-devel >= 1.0.3
BuildRequires:	mysql-devel
BuildRequires:	netfilter_acct-devel >= 1.0.1
BuildRequires:	netfilter_conntrack-devel >= 1.0.2
BuildRequires:	netfilter_log-devel >= 1.0.0
BuildRequires:	nfnetlink-devel >= 1.0.1
BuildRequires:	postgresql-devel
BuildRequires:	sgml-tools
BuildRequires:	sqlite3-devel
BuildRequires:	texlive
BuildRequires:	texlive-texmf

%description
%{name} is a logging daemon that reads event messages coming from the Netfilter
connection tracking and the Netfilter packet logging subsystem. You have to
enable support for connection tracking event delivery; ctnetlink and the NFLOG
target in your Linux kernel 2.6.x or load their respective modules. The old
ULOG target (which has been superseded by NFLOG and removed in linux 3.17) is
not supported.

%package	libdbi
Summary:	Libdbi framework output plugin for %{name}
Requires:	%{name} = %{version}

%description	libdbi
%{name}-libdbi is a libdbi output plugin for %{name}. It enables logging of
firewall information through a libdbi interface.

%package	mysql
Summary:	MySQL output plugin for %{name}
Requires:	%{name} = %{version}

%description	mysql
%{name}-mysql is a MySQL output plugin for %{name}. It enables logging of
firewall information into a MySQL database.

%package	pgsql
Summary:	PostgreSQL output plugin for %{name}
Requires:	%{name} = %{version}

%description	pgsql
%{name}-pgsql is a PostgreSQL output plugin for %{name}. It enables logging of
firewall information into a PostgreSQL database.

%package	pcap
Summary:	PCAP output plugin for %{name}
Requires:	%{name} = %{version}

%description	pcap
%{name}-pcap is a output plugin for %{name} that saves packet logs as PCAP
file. PCAP is a standard format that can be later analyzed by a lot of tools
such as tcpdump and wireshark.

%package	sqlite
Summary:	SQLITE output plugin for %{name}
Requires:	%{name} = %{version}

%description	sqlite
%{name}-sqlite is a SQLITE output plugin for %{name}. It enables logging of
firewall information into an SQLITE database.

%package	graphite
Summary:	GRAPHITE output plugin for %{name}
Requires:	%{name} = %{version}

%description	graphite
%{name}-graphite is a GRAPHITE output plugin for %{name}. It enables logging of
firewall information into an GRAPHITE server. More information about this here:

https://home.regit.org/tag/ulogd/
http://graphite.wikidot.com/

%prep

%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x \
   --disable-static \
   --enable-shared \
   --with-dbi-lib=%{_libdir} \
   --with-pcap-lib=%{_libdir} \
   --with-sqlite3-lib=%{_libdir}

%make
make -C doc

%check
make check

%install

%make_install

install -d %{buildroot}%{_localstatedir}/log/%{name}
install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_tmpfilesdir}
install -d %{buildroot}%{_unitdir}

install -m0644 %{name}.conf %{buildroot}%{_sysconfdir}/
install -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

rm -f %{buildroot}%{_libdir}/%{name}/*.*a

%pre
%_pre_useradd %{name} /var/lib/%{name} /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc COPYING AUTHORS README doc/%{name}.txt doc/%{name}.ps doc/%{name}.html
%config(noreplace) %attr(0600,%{name},%{name}) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%{_sbindir}/%{name}
%dir %attr(0711,%{name},%{name}) %{_localstatedir}/log/%{name}
%dir %attr(0711,%{name},%{name}) %{_localstatedir}/lib/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}_filter_HWHDR.so
%{_libdir}/%{name}/%{name}_filter_IFINDEX.so
%{_libdir}/%{name}/%{name}_filter_IP2BIN.so
%{_libdir}/%{name}/%{name}_filter_IP2HBIN.so
%{_libdir}/%{name}/%{name}_filter_IP2STR.so
%{_libdir}/%{name}/%{name}_filter_MARK.so
%{_libdir}/%{name}/%{name}_filter_PRINTFLOW.so
%{_libdir}/%{name}/%{name}_filter_PRINTPKT.so
%{_libdir}/%{name}/%{name}_filter_PWSNIFF.so
%{_libdir}/%{name}/%{name}_inpflow_NFACCT.so
%{_libdir}/%{name}/%{name}_inpflow_NFCT.so
%{_libdir}/%{name}/%{name}_inppkt_NFLOG.so
%{_libdir}/%{name}/%{name}_inppkt_ULOG.so
%{_libdir}/%{name}/%{name}_inppkt_UNIXSOCK.so
%{_libdir}/%{name}/%{name}_output_GPRINT.so
%{_libdir}/%{name}/%{name}_output_LOGEMU.so
%{_libdir}/%{name}/%{name}_output_NACCT.so
%{_libdir}/%{name}/%{name}_output_OPRINT.so
%{_libdir}/%{name}/%{name}_output_SYSLOG.so
%{_libdir}/%{name}/%{name}_output_XML.so
%{_libdir}/%{name}/%{name}_raw2packet_BASE.so
%{_mandir}/man?/*

%files libdbi
%{_libdir}/%{name}/%{name}_output_DBI.so

%files mysql
%{_libdir}/%{name}/%{name}_output_MYSQL.so

%files pgsql
%{_libdir}/%{name}/%{name}_output_PGSQL.so

%files pcap
%{_libdir}/%{name}/%{name}_output_PCAP.so

%files sqlite
%{_libdir}/%{name}/%{name}_output_SQLITE3.so

%files graphite
%{_libdir}/%{name}/%{name}_output_GRAPHITE.so



%changelog
* Sun Feb 28 2016 oden <oden> 2.0.5-3.mga6
+ Revision: 980348
- rebuilt for postgresql 9.5.x

* Fri Jan 22 2016 daviddavid <daviddavid> 2.0.5-2.mga6
+ Revision: 926432
- switch to %%configure2_5x to fix build

* Fri Jul 03 2015 cjw <cjw> 2.0.5-1.mga6
+ Revision: 849703
- 2.0.5
- drop patch1, fixed upstream

* Tue Nov 25 2014 cjw <cjw> 2.0.4-4.mga5
+ Revision: 798918
- rebuild against postgresql9.4

* Mon Oct 27 2014 cjw <cjw> 2.0.4-3.mga5
+ Revision: 793831
- patch1: don't try to build support for ULOG target that was removed in linux 3.17

  + luigiwalser <luigiwalser>
    - revive ulogd (it is fixable)
    - obsolete ulogd (no longer supported as of kernel 3.17)
    - 2.0.4
    - rediff patch 0
    - add missing BR kernel-devel

* Tue Oct 22 2013 umeabot <umeabot> 2.0.2-4.mga4
+ Revision: 546078
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 2.0.2-3.mga4
+ Revision: 502095
- BR texlive and texlive-texmf

* Sun Mar 24 2013 colin <colin> 2.0.2-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Wed Mar 06 2013 oden <oden> 2.0.2-1.mga3
+ Revision: 401531
- imported package ulogd

